List batch scoring jobs
curl --request GET \
--url https://api.qbank.cl/platform/v1/qscore/batches \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qbank.cl/platform/v1/qscore/batches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qbank.cl/platform/v1/qscore/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qbank.cl/platform/v1/qscore/batches",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.qbank.cl/platform/v1/qscore/batches"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.qbank.cl/platform/v1/qscore/batches")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qbank.cl/platform/v1/qscore/batches")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"batch_id": "b7f2c1a4-3e5d-4f8a-9c2b-1d0e6a8f4c5d",
"account_id": "4a9c2e71-8b3d-4f2a-9c1e-5d7b2a8f3e41",
"status": "completed_with_errors",
"purpose": "credit_evaluation",
"country": "CL",
"lang": "es",
"total_items": 4,
"processed_items": 4,
"succeeded_items": 3,
"failed_items": 1,
"estimated_fee_usdt": "14.50",
"idempotency_key": "portfolio-2026-08-09-a",
"created_at": "2026-08-09T14:32:10Z",
"started_at": "2026-08-09T14:34:02Z",
"completed_at": "2026-08-09T14:41:37Z"
}
],
"meta": {
"page": 1,
"page_size": 50,
"total": 1
}
}List batch scoring jobs
Lists the batch scoring jobs of your account (newest first), paginated. page starts at 1; page_size defaults to 50 (maximum 200). The from and to date filters (organization timezone, both inclusive) are mandatory. Batches owned by other accounts are never visible (ownership isolation: a batch id from another account returns 404).
GET
/
v1
/
qscore
/
batches
List batch scoring jobs
curl --request GET \
--url https://api.qbank.cl/platform/v1/qscore/batches \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qbank.cl/platform/v1/qscore/batches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qbank.cl/platform/v1/qscore/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qbank.cl/platform/v1/qscore/batches",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.qbank.cl/platform/v1/qscore/batches"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.qbank.cl/platform/v1/qscore/batches")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qbank.cl/platform/v1/qscore/batches")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"batch_id": "b7f2c1a4-3e5d-4f8a-9c2b-1d0e6a8f4c5d",
"account_id": "4a9c2e71-8b3d-4f2a-9c1e-5d7b2a8f3e41",
"status": "completed_with_errors",
"purpose": "credit_evaluation",
"country": "CL",
"lang": "es",
"total_items": 4,
"processed_items": 4,
"succeeded_items": 3,
"failed_items": 1,
"estimated_fee_usdt": "14.50",
"idempotency_key": "portfolio-2026-08-09-a",
"created_at": "2026-08-09T14:32:10Z",
"started_at": "2026-08-09T14:34:02Z",
"completed_at": "2026-08-09T14:41:37Z"
}
],
"meta": {
"page": 1,
"page_size": 50,
"total": 1
}
}Authorizations
Session JWT (from register/login) or API key (pk_...).
X-API-Key: <token> is accepted as an alternative header.
Query Parameters
Start date (YYYY-MM-DD, organization timezone, inclusive).
End date (YYYY-MM-DD, organization timezone, inclusive).
Filter by batch status.
Available options:
pending, processing, completed, completed_with_errors, failed Required range:
x <= 200Response
Paged batch list.